%define anolis_release 1
%define debug_package %{nil}

%global pypi_name distlib
%global pypi_version 0.3.6

Name:           python-distlib
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Distribution utilities
License:        Python license
URL:            https://github.com/pypa/distlib
Source0:        https://files.pythonhosted.org/packages/58/07/815476ae605bcc5f95c87a62b95e74a1bce0878bc7a3119bc2bf4178f175/distlib-0.3.6.tar.gz

BuildRequires:  gcc cmake
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python-srpm-macros
BuildRequires:  python3-wheel
BuildRequires:  python3-packaging

%description
Distlib contains the implementations of the packaging PEPs and other low-level
features which relate to packaging, distribution and deployment of Python
software. If Distlib can be made genuinely useful, then it is possible for
third-party packaging tools to transition to using it. Their developers and
users then benefit from standardised implementation of low-level functions,
time saved by not having to reinvent wheels, and improved interoperability
between tools.

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{description}
%package -n python3-%{pypi_name}-doc
Summary:        %{summary}
BuildArch:      noarch
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
%{description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license tests/testsrc/LICENSE tests/testdist-0.1/LICENSE tests/test_testdist-0.1/LICENSE LICENSE.txt


%files -n python3-%{pypi_name}-doc
%doc PC/ReadMe.txt tests/testsrc/README.txt tests/testdist-0.1/README.txt tests/test_testdist-0.1/README.txt README.rst tests/testdist-0.1/doc/index.html


%changelog
* Tue Jul 05 2022 happy_orange <songnannan@linux.alibaba.com> - 0.3.6-1
- init package from upstream
